Device Requirements

Minimum device requirements

Falkor is compatible with most standard devices and the latest operating systems. When users experience issues accessing a story or if the story does not run as intended, this may be due to a device issue and it is best to check that the user meets the current system requirements.

The following minimum system requirements apply to all Falkor users (end-users and platform backend users). Note that the minimum requirements are regularly updated in order to ensure that the Falkor platform is up to date with the latest technology.

Operating Systems (Mobile & Tablet): Apple and Android only Browser Requirement (for Desktop/Web): Evergreen browsers (browsers that always receive the latest updates). See here: http://outdatedbrowser.com/en Minimum Device OS: Android Nougat 7.0+, Apple iOS 11 (note that Falkor does not support operating systems that have been deprecated by either Android or Apple and therefore minimum device OS requirements will change accordingly) Minimum Device Memory: 512MB Ram Minimum Device Storage: 2GB Minimum Available Storage: 200MB Access to Connection: Device(s) must connect to download stories and sync data/results

Is my device incompatible or outdated?

If your device seems to freeze or content does not load, this may be related to your device or browser either being incompatible or not up-to-date. You can try the following steps to fix the issue.

Things To Try

1. Check if your browser or device has an update. (Update Chrome | Update Firefox | Update Internet Explorer | Update Android | Update iOS)

2. If your device is up-to-date and the app still does not work, your device may be incompatible. Install Google Chrome onto your desktop or device and use the web app instead.